> For the complete documentation index, see [llms.txt](https://developers.bloomcredit.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.bloomcredit.io/reference/v2.1/data-access/orders/build-a-new-order-for-ingestion.md).

# Build a new order for ingestion

```json
{"openapi":"3.0.0","info":{"title":"Data Access","version":"api/client/v2.1"},"tags":[{"name":"Orders"}],"servers":[{"url":"https://sandbox.bloom.dev/v2/data-access"}],"security":[{"OAuth2Application":["data-access:all"]}],"components":{"securitySchemes":{"OAuth2Application":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://auth.bloom.dev/oauth/token","scopes":{"data-access:all":"Full access to data access API"}}}}},"schemas":{"core.BaseOrderRequest":{"description":"Data to request an order","type":"object","properties":{"data":{"$ref":"#/components/schemas/core.CreateOrderRequest"}}},"core.CreateOrderRequest":{"description":"Type and Attributes to request an order","type":"object","properties":{"attributes":{"$ref":"#/components/schemas/core.OrderRequestAttributes"},"type":{"type":"string"}}},"core.OrderRequestAttributes":{"description":"Attributes to request an order","type":"object","properties":{"consumer_id":{"description":"Consumer UUID","type":"string"},"credential_id":{"description":"Credential UUID","type":"string"}}},"github_com_bloomcredit_bureau-api-service_core.APIResponse-core_OrderResponse":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/core.OrderResponse"},"limit":{"type":"integer"},"page":{"type":"integer"},"total_records":{"type":"integer"}}},"core.OrderResponse":{"description":"Response to get order request","type":"object","properties":{"attributes":{"description":"Order attributes","allOf":[{"$ref":"#/components/schemas/core.OrderAttributes"}]},"id":{"description":"Order ID","type":"string"},"type":{"description":"Order type","type":"string"}}},"core.OrderAttributes":{"description":"Parameters of an order","type":"object","properties":{"consumer_id":{"description":"Consumer ID","type":"string"},"credential_id":{"description":"Credential identifier","type":"string"},"order_filled":{"description":"Order filled date time","type":"string"},"order_placed":{"description":"Order place date time","type":"string"},"order_updated":{"description":"Order update date time","type":"string"},"status":{"description":"Order status","allOf":[{"$ref":"#/components/schemas/core.Status"}]},"status_code":{"description":"Code to quickly identify the status","type":"string"},"status_details":{"description":"URL to the documentation page with more details on the status","type":"string"},"status_message":{"description":"Human readable description of the status","type":"string"}}},"core.Status":{"type":"string","enum":["PENDING","REJECTED","PROCESSING","SUCCESS","FAILED","CANCELLED","PURGED"]},"core.ServiceError":{"type":"object","properties":{"status_code":{"type":"string"},"status_details":{"type":"string"},"status_message":{"type":"string"}}}}},"paths":{"/orders":{"post":{"tags":["Orders"],"summary":"Build a new order for ingestion","operationId":"new-order","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/core.BaseOrderRequest"}}},"description":"creates new order","required":true},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/github_com_bloomcredit_bureau-api-service_core.APIResponse-core_OrderResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core.ServiceError"}}}},"422":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core.ServiceError"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core.ServiceError"}}}},"502":{"description":"Bad Gateway","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core.ServiceError"}}}}},"parameters":[{"name":"X-Bas-Router","in":"header","required":true,"description":"Required header to route requests to BAS. Must be set to 'true'.","schema":{"type":"string","enum":["true"],"default":"true"}}]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.bloomcredit.io/reference/v2.1/data-access/orders/build-a-new-order-for-ingestion.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
